Subject: Re: [Bug-vc-dwim] bug#20341: Should be easier to start using vc-dwim
From: Jim Meyering <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Apr 2015 18:14:45 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Apr 16, 2015 at 10:59 AM, Jim Meyering <[email-masked]> wrote:
> On Wed, Apr 15, 2015 at 2:38 PM, Paul Eggert <[email-masked]> wrote:
>> Currently it's a pain to start using vc-dwim, as one must copy some text
>> from the output of "vc-dwim --help" into a .profile or suchlike file
>> somewhere (where exactly?), and then run the command
>> "git-changelog-symlink-init", and I can't ever remember the name of that
>> command and I'm often logged in somewhere where I don't have the command in
>> my .profile anyway.
>>
>> I suggest extending vc-dwim so that "vc-dwim --init" has the same effect
>> that "git-changelog-symlink-init" does.  This would simplify getting
>> started.
>>
>> This topic recently came up on the Emacs developer in a thread starting at
>> here:
>>
>> http://lists.gnu.org/archive/html/emacs-devel/2015-04/msg00760.html
>
> Hi Paul,
>
> I like that idea, and have written a first-cut implementation.  See
> attached patch.
> It does the job, but I have not yet updated documentation or added tests.

Thanks again for the suggestion.
I've added that new option. The change was pushed to this commit:
  http://git.savannah.gnu.org/cgit/vc-dwim.git/commit/?id=722a0a54d94e8
I also pushed two other maintenance-style changes.